<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::gui::SpinBox Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_spin_box.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1gui_1_1_spin_box-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::gui::SpinBox Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station.  
 <a href="classflair_1_1gui_1_1_spin_box.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_spin_box_8h_source.html">SpinBox.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::gui::SpinBox:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1gui_1_1_spin_box.png" usemap="#flair::gui::SpinBox_map" alt=""/>
  <map id="flair::gui::SpinBox_map" name="flair::gui::SpinBox_map">
<area href="classflair_1_1gui_1_1_box.html" title="Abstract class to display a box on the ground station. " alt="flair::gui::Box" shape="rect" coords="0,112,109,136"/>
<area href="classflair_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="flair::gui::Widget" shape="rect" coords="0,56,109,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,109,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3164534ab209d31215224865d276e139"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a3164534ab209d31215224865d276e139">SpinBox</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, int min, int max, int step, int default_value=0)</td></tr>
<tr class="memdesc:a3164534ab209d31215224865d276e139"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3164534ab209d31215224865d276e139">More...</a><br /></td></tr>
<tr class="separator:a3164534ab209d31215224865d276e139"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f63c84f17ab71d508e40ef5bd88818"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a92f63c84f17ab71d508e40ef5bd88818">SpinBox</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string suffix, int min, int max, int step, int default_value=0)</td></tr>
<tr class="memdesc:a92f63c84f17ab71d508e40ef5bd88818"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a92f63c84f17ab71d508e40ef5bd88818">More...</a><br /></td></tr>
<tr class="separator:a92f63c84f17ab71d508e40ef5bd88818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64182fc99a1d96d8f86679a568c50f9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b">~SpinBox</a> ()</td></tr>
<tr class="memdesc:a64182fc99a1d96d8f86679a568c50f9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a64182fc99a1d96d8f86679a568c50f9b">More...</a><br /></td></tr>
<tr class="separator:a64182fc99a1d96d8f86679a568c50f9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a782c198e37c84652f7b001847a360d2c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_spin_box.html#a782c198e37c84652f7b001847a360d2c">Value</a> (void) const </td></tr>
<tr class="memdesc:a782c198e37c84652f7b001847a360d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value.  <a href="#a782c198e37c84652f7b001847a360d2c">More...</a><br /></td></tr>
<tr class="separator:a782c198e37c84652f7b001847a360d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1gui_1_1_box"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1gui_1_1_box')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td></tr>
<tr class="memitem:a2f126878bf430425982c367e709ea438 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#a2f126878bf430425982c367e709ea438">Box</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string type)</td></tr>
<tr class="memdesc:a2f126878bf430425982c367e709ea438 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a2f126878bf430425982c367e709ea438">More...</a><br /></td></tr>
<tr class="separator:a2f126878bf430425982c367e709ea438 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd9a664f5096bbe85cdebf021f542ea inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#adfd9a664f5096bbe85cdebf021f542ea">~Box</a> ()</td></tr>
<tr class="memdesc:adfd9a664f5096bbe85cdebf021f542ea inherit pub_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#adfd9a664f5096bbe85cdebf021f542ea">More...</a><br /></td></tr>
<tr class="separator:adfd9a664f5096bbe85cdebf021f542ea inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54608ff0fdac6b8e05c8ece4fd3f8375 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#a54608ff0fdac6b8e05c8ece4fd3f8375">ValueChanged</a> (void)</td></tr>
<tr class="memdesc:a54608ff0fdac6b8e05c8ece4fd3f8375 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has the value changed since last call?  <a href="#a54608ff0fdac6b8e05c8ece4fd3f8375">More...</a><br /></td></tr>
<tr class="separator:a54608ff0fdac6b8e05c8ece4fd3f8375 inherit pub_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td></tr>
<tr class="memitem:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494">Widget</a> (const <a class="el" href="classflair_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7b867cc6c603cbc5e5a2f39f083a9494">More...</a><br /></td></tr>
<tr class="separator:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9">~Widget</a> ()</td></tr>
<tr class="memdesc:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a81110928e09e909dc1cc90971de4e8a9">More...</a><br /></td></tr>
<tr class="separator:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a814a933622114ad9c8f5d49014262d89">More...</a><br /></td></tr>
<tr class="separator:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f">isEnabled</a> (void) const </td></tr>
<tr class="memdesc:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a299877c38b297ada04542e4dfc5a2f4f">More...</a><br /></td></tr>
<tr class="separator:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1gui_1_1_box"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1gui_1_1_box')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_box.html">flair::gui::Box</a></td></tr>
<tr class="memitem:a97997d50ef96b359564c2d6b94db1edc inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#a97997d50ef96b359564c2d6b94db1edc">SetValueChanged</a> (void)</td></tr>
<tr class="memdesc:a97997d50ef96b359564c2d6b94db1edc inherit pro_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the value changed flag.  <a href="#a97997d50ef96b359564c2d6b94db1edc">More...</a><br /></td></tr>
<tr class="separator:a97997d50ef96b359564c2d6b94db1edc inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72d33c20718419d566e198840318e22f inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a72d33c20718419d566e198840318e22f inherit pro_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Mutex.  <a href="#a72d33c20718419d566e198840318e22f">More...</a><br /></td></tr>
<tr class="separator:a72d33c20718419d566e198840318e22f inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d1e4e81c7c59a051368a346a104c988 inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_box.html#a3d1e4e81c7c59a051368a346a104c988">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a3d1e4e81c7c59a051368a346a104c988 inherit pro_methods_classflair_1_1gui_1_1_box"><td class="mdescLeft">&#160;</td><td class="mdescRight">Release Mutex.  <a href="#a3d1e4e81c7c59a051368a346a104c988">More...</a><br /></td></tr>
<tr class="separator:a3d1e4e81c7c59a051368a346a104c988 inherit pro_methods_classflair_1_1gui_1_1_box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td></tr>
<tr class="memitem:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f">SetPersistentXmlProp</a> (std::string prop, T value)</td></tr>
<tr class="memdesc:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a persistent xml property.  <a href="#a0e81847db5a84b2e7e26545c9b1b704f">More...</a><br /></td></tr>
<tr class="separator:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa">GetPersistentXmlProp</a> (std::string prop, T &amp;value)</td></tr>
<tr class="memdesc:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a persistent xml property.  <a href="#a6404c7f474be994ec4e72a97e45dfffa">More...</a><br /></td></tr>
<tr class="separator:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8">SetVolatileXmlProp</a> (std::string prop, T value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a volatile xml property.  <a href="#abe5ab96255919238138527c92fbeb6d8">More...</a><br /></td></tr>
<tr class="separator:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb">SendXml</a> (void)</td></tr>
<tr class="memdesc:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#ac80f72906580f269b5881c1ef0b35afb">More...</a><br /></td></tr>
<tr class="separator:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434">UnsetPersistentXmlProp</a> (std::string prop)</td></tr>
<tr class="memdesc:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unset a persistent xml property.  <a href="#a9ba37bd7fad0f4a97175d922b93b5434">More...</a><br /></td></tr>
<tr class="separator:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3164534ab209d31215224865d276e139"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::SpinBox::SpinBox </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>max</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>step</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>default_value</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> at given position. <br />
The <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> is saturated to min and max values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display the <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">min</td><td>minimum value </td></tr>
    <tr><td class="paramname">max</td><td>maximum value </td></tr>
    <tr><td class="paramname">step</td><td>step </td></tr>
    <tr><td class="paramname">default_value</td><td>default value if not in the xml config file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a92f63c84f17ab71d508e40ef5bd88818"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::SpinBox::SpinBox </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>suffix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>min</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>max</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>step</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>default_value</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> at given position. <br />
The <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> is saturated to min and max values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>position to display the <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">suffix</td><td>suffix for the value (eg unit) </td></tr>
    <tr><td class="paramname">min</td><td>minimum value </td></tr>
    <tr><td class="paramname">max</td><td>maximum value </td></tr>
    <tr><td class="paramname">step</td><td>step </td></tr>
    <tr><td class="paramname">default_value</td><td>default value if not in the xml config file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a64182fc99a1d96d8f86679a568c50f9b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::SpinBox::~SpinBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a782c198e37c84652f7b001847a360d2c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int flair::gui::SpinBox::Value </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Value. </p>
<dl class="section return"><dt>Returns</dt><dd>value </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classflair_1_1gui_1_1_spin_box.html">SpinBox</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
